import request from '@/utils/request'

export const banner = (data) => {
	return request({
		url: '/applet/workOut/bannerList',
		headers: {
			isToken: false
		},
		method: 'get',
		data
	})
}

export const joinHh = (data) => {
	return request({
		url: '/applet/workIn/joinHh',
		headers: {
			isToken: true
		},
		method: 'post',
		data
	})
}
export const joiBcs = (data) => {
	return request({
		url: "/applet/workIn/joiBcs",
		headers: {
			isToken: true
		},
		method: 'post',
		data
	})
}
export const indexConfig = () => {
	return request({
		url: "/applet/workIn/indexConfig",
		headers: {
			isToken: false
		},
		method: "get"
	})
}
export const indexConfigIco = () => {
	return request({
		url: "/applet/workIn/indexConfigIco",
		headers: {
			isToken: false
		},
		method: "get"
	})
}
export const getbaseInfo = (appUserId) => {
	return request({
		url: `/applet/login/getAppletUserInfo/${appUserId}`,
		headers: {
			isToken: true
		},
		method: "get"
	})
}
export const binBaseInfo = (appUserId) => {
	return request({
		url: `/applet/workOut/hhrInfo/${appUserId}`,
		headers: {
			isToken: true
		},
		method: "get"
	})
}
export const bindCode = (appUserId) => {
	return request({
		url: `/applet/workOut/hhrCode/${appUserId}`,
		headers: {
			isToken: true
		},
		method: "get"
	})
}

// 下单
export const hhrMyUserList = (data) => {
	return request({
		url: `/applet/workOut/hhrMyUserList`,
		headers: {
			isToken: true
		},
		method: "post",
		data
	})
}
// 收益明细
export const getTransactionDetailsList = (params) => {
	return request({
		url: `/applet/wallet/getTransactionDetailsList`,///${transactionType}
		headers: {
			isToken: true
		},
		method: "get",
		params
	})
}